Update an SDK Git connection
Updates the Git connection’s lifecycle status:
active— Connects or reconnects the repository. All auto-update pull requests resume.disconnected— Disconnects the repository, and no further auto-update pull requests are opened. The historical pull request record is preserved and remains queryable.
Note:
- The
autoUpdatePullRequestsEnabledproperty is only available to Enterprise plan users and defaults totrue. If the user is on a Team plan, this value is alwaysfalse. - This action is idempotent. Setting the fields to their current values is a no-op and still returns the connection.
- The
inaccessiblestatus is system-determined and can’t be set with this endpoint.
Authentication
Path parameters
Request
If true, pull requests are opened automatically whenever the source changes or a new version of the SDK generator is released. If false, pull requests are opened automatically, but only for manually-triggered SDK regeneration. If autoUpdatePullRequestsEnabled isn’t set, the default behavior depends on the user’s Postman plan:
- Enterprise plan users — Defaults to the
truevalue. - Team plan users and read only — Defaults to the
falsevalue.
Response
The lifecycle status of the Git connection:
active— The connection is live and all opened pull requests ship SDK updates into the repository.disconnected— The connection was explicitly disconnected by the owner, and no pull requests can be opened. The historical record is preserved.inaccessible— Access to the repository was revoked or its no longer reachable.
The branch the SDK is published to. This defaults to the main value.
If true, pull requests are opened automatically whenever the source changes or a new version of the SDK generator is released. If false, pull requests are opened automatically, but only for manually-triggered SDK regeneration. If autoUpdatePullRequestsEnabled isn’t set, the default behavior depends on the user’s Postman plan:
- Enterprise plan users — Defaults to the
truevalue. - Team plan users and read only — Defaults to the
falsevalue.
A list of SDK update pull requests on the Git connection, in order of newest first by its updatedAt property. This returns an empty value if no pull requests have been opened yet. For full pull request details, use the GET /sdk-git-connections/{sdkGitConnectionId}/pull-requests endpoint.